> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Zapier: Get Candidate Sample

> Returns the latest candidate data for Zapier trigger testing. Falls back to sample data if no candidates exist.



## OpenAPI

````yaml /api-reference/openapi-zapier.json get /zapier/zap-candidate-sample
openapi: 3.1.0
info:
  title: Stardex API (Zapier)
  version: 1.0.0
  description: Stardex Zapier integration endpoints.
servers:
  - url: https://api.stardex.ai
    description: Production API server
security:
  - bearerAuth: []
tags: []
paths:
  /zapier/zap-candidate-sample:
    get:
      tags:
        - Zapier Endpoints
      summary: 'Zapier: Get Candidate Sample'
      description: >-
        Returns the latest candidate data for Zapier trigger testing. Falls back
        to sample data if no candidates exist.
      parameters:
        - schema:
            type: string
            format: uuid
          required: false
          name: job_id
          in: query
      responses:
        '200':
          description: Candidate sample retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZapCandidateSampleResponse'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  schemas:
    ZapCandidateSampleResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          candidate_id:
            type: string
          candidate_job_status:
            type: string
          person_id:
            type: string
          person_full_name:
            type: string
          person_current_title:
            type: string
          person_current_company:
            type: string
          person_linkedin_location:
            type: string
          person_image_url:
            type: string
          person_linkedin_url:
            type: string
          person_recruiter_url_1:
            type: string
          person_recruiter_url_2:
            type: string
          person_linkedin_public_id:
            type: string
          person_linkedin_recruiter_id_1:
            type: string
          person_linkedin_recruiter_id_2:
            type: string
          job_id:
            type: string
          job_name:
            type: string
          job_company:
            type: string
          job_notes:
            type: string
          sourced_by_team_member_name:
            type: string
          person_owner:
            type: string
          created_at:
            type:
              - string
              - 'null'
          updated_at:
            type:
              - string
              - 'null'
          stardex_profile_link:
            type: string
          resume_url:
            type: string
          resume_filename:
            type: string
          custom_fields:
            type: array
            items:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                type:
                  type: string
                value:
                  type: string
                values:
                  type: array
                  items:
                    type: string
              required:
                - id
                - name
                - type
                - value
          custom_fields_text:
            type: string
        required:
          - id
          - candidate_id
          - candidate_job_status
          - person_id
          - person_full_name
          - person_current_title
          - person_current_company
          - person_linkedin_location
          - person_image_url
          - person_linkedin_url
          - person_recruiter_url_1
          - person_recruiter_url_2
          - person_linkedin_public_id
          - person_linkedin_recruiter_id_1
          - person_linkedin_recruiter_id_2
          - job_id
          - job_name
          - job_company
          - job_notes
          - sourced_by_team_member_name
          - person_owner
          - created_at
          - updated_at
          - stardex_profile_link
          - resume_url
          - resume_filename
          - custom_fields
          - custom_fields_text
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Authenticate with a Bearer token: API key, OAuth token, or session
        token.

````